{
    "name": "@blade-and-brawn/api",
    "module": "index.ts",
    "type": "module",
    "private": true,
    "exports": {
        ".": {
            "types": "./src/server.ts"
        }
    },
    "scripts": {
        "dev": "bun run --hot src/index.ts",
        "start": "bun run src/index.ts",
        "build": "bun build --compile --minify-whitespace --minify-syntax --target bun-linux-x64 --outfile dist/server src/index.ts"
    },
    "dependencies": {
        "@blade-and-brawn/calculator": "workspace:*",
        "@blade-and-brawn/commerce": "workspace:*",
        "@blade-and-brawn/domain": "workspace:*",
        "@elysia/jwt": "^1.4.2",
        "@elysia/server-timing": "^1.4.1",
        "@elysiajs/cors": "^1.4.2",
        "@types/pg": "^8.20.0",
        "elysia": "^1.4.29",
        "kysely": "^0.29.2",
        "ml-levenberg-marquardt": "^5.0.1",
        "pg": "^8.22.0",
        "pino": "^10.3.1",
        "zipcodes-us": "^1.1.3"
    },
    "devDependencies": {
        "pino-pretty": "^13.1.3",
        "kysely-codegen": "^0.20.0"
    }
}
